Announcement Announcement Module
Collapse
No announcement yet.
minimum requirements for ApplicationConversionServiceFactoryBean installation? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • minimum requirements for ApplicationConversionServiceFactoryBean installation?

    What are the minimum requirements for ApplicationConversionServiceFactoryBean to be installed by Roo? Entity with conversion needs and Spring MVC installation? Just the MVC? Does the order of creation matter? Does the presence of older formatters prevent installation? If so, how are they detected?

    Since Roo 1.2 snapshots up to now I have had multiple situations where ApplicationConversionServiceFactoryBean won't be created or won't update with new or changed entities. The only way out from it have been to version control also itd files and go back to the last version where the conversionservice worked and build from that. It's like Roo doesn't detect changes in certain situations. I'm sure this is a bug or two, but it's been quite hard to pinpoint what is causing this.

    Anyone else have seen this or similar behavior?
    Last edited by MiB; Jan 20th, 2012, 07:07 AM.

  • #2
    Also, if you have not seen this behavior your report would still be useful. In the end, my objective is to discover how to recreate this and make a bug report at the JIRA. Your experience as well as your thoughts would be most welcome.

    Comment


    • #3
      I must conclude noone else is seeing this issue nor anyone is interested in sharing their experiences. I'm going to do some experiments over the weekend and see if I can create a basic project displaying this issue for a JIRA entry.

      Comment

      Working...
      X